%define debug_package %{nil}

Name:          giflib
Version:       5.2.1
Release:       2 
Summary:       A library and utilities for processing GIFs
License:       MIT
URL:           http://www.sourceforge.net/projects/giflib/
Source:        http://downloads.sourceforge.net/giflib/giflib-%{version}.tar.gz

# Move quantize.c back into libgif.so (#1750122)
Patch0:giflib_quantize.patch
# Fix several defects found by Coverity scan
Patch1:giflib_coverity.patch
# Generate HTML docs with consistent section IDs to avoid multilib difference
Patch2:giflib_html-docs-consistent-ids.patch

BuildRequires: make xmlto gcc
provides:      giflib-utils

%description
giflib is a library of gif images and provides utilities for processing images.

%package       devel
Summary:       files for developing programs which use the giflib library
Requires:      %{name} = %{version}-%{release}

%description   devel
development header files, libraries for programs using the giflib library.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build

%install
%make_install PREFIX="%{_prefix}" LIBDIR="%{_libdir}"
rm -f doc/Makefile*

rm -f %{buildroot}/debugsourcefiles.list

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README
%license COPYING
%{_libdir}/libgif.so.7*
%exclude %{_libdir}/*.a
%{_bindir}/gif*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_libdir}/libgif.so
%{_includedir}/gif_lib.h

%files help
%defattr(-,root,root)
%{_mandir}/man1/gif*.1*

%changelog
* Wed Jul 29 2020 hanhui <hanhui15@huawei.com> - 5.2.1-2
- add bugfix

* Thu Jul 23 2020 hanhui <hanhui15@huawei.com> - 5.2.1-1
- update to 5.2.1

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.1.4-6
- add the require for devel

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.1.4-5
- change the path of files

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.1.4-4
- Type:cves
- ID:NA
- SUG:NA
- DESC:Add CVE patches

* Tue Sep 10 2019 Lijin Yang <yanglijin@huawei.com> - 5.1.4-3
- Package init
